Bug 136917 - Remove old remember lines when adding a new one
Summary: Remove old remember lines when adding a new one
Status: RESOLVED FIXED
Alias: None
Product: konversation
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: openSUSE RPMs Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Konversation Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-11-05 23:43 UTC by Riku Leino
Modified: 2007-11-06 20:27 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Riku Leino 2006-11-05 23:43:41 UTC
Version:           1.0.1 (using KDE KDE 3.5.5)
Installed from:    SuSE RPMs

When adding a remember line from the insert menu or automatically when minimized it would be nice if all the previous lines were removed. This would make the text area less scattered and more pleasing to eyes.
Comment 1 Stephan Sokolow 2007-05-18 07:48:45 UTC
As an option, of course.
Comment 2 Eike Hein 2007-11-06 20:27:53 UTC
SVN commit 733584 by hein:

Rewrite the remember/marker line system completely to be more useful:
* Distinguish between manually inserted marker lines and marker lines
  inserted automatically when chat windows are hidden, fixing the utter
  chaos in conjunction with the "show in all chat windows" preference.
* Make the automatic marker line "sliding", i.e. remove the last auto-
  matic line when inserting a new one.
BUG:136917
* Only insert the automatic marker line when there's actually new text
  being appended to a chat window.
BUG:137535
* Add an action to clear all marker lines in a chat window.
* Improve marker lines-related terminology and preferences.
* Make the (marker line-related and other) identity default settings
  consistent between the initial identity and additional newly created
  identities.


 M  +1 -7      chatwindow.cpp  
 M  +1 -2      chatwindow.h  
 M  +71 -50    chatwindowbehaviour_preferences.ui  
 M  +1 -1      commit.h  
 M  +6 -6      config/konversation.kcfg  
 M  +2 -8      config/preferences.cpp  
 M  +19 -2     identity.cpp  
 M  +1 -0      identity.h  
 M  +1 -1      identitydialog.cpp  
 M  +110 -22   ircview.cpp  
 M  +20 -4     ircview.h  
 M  +2 -2      konvdcop.cpp  
 M  +2 -2      konvdcop.h  
 M  +5 -5      konversationapplication.cpp  
 M  +21 -14    konversationmainwindow.cpp  
 M  +6 -3      konversationmainwindow.h  
 M  +4 -2      konversationui.rc  
 M  +3 -3      konviface.h  
 M  +71 -20    viewcontainer.cpp  
 M  +6 -2      viewcontainer.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=733584